Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513472 - Needs update
Summary: Needs update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shorewall
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 13:32 UTC by Brian J. Murrell
Modified: 2018-01-30 18:00 UTC (History)
1 user (show)

Fixed In Version: shorewall-5.1.10.2-1.el7 shorewall-5.1.10.2-1.fc26 shorewall-5.1.10.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 16:51:21 UTC


Attachments (Terms of Use)

Description Brian J. Murrell 2017-11-15 13:32:00 UTC
Current version of shorewall in F27 is shorewall-5.0.14.1-5.fc27.noarch.rpm which is quite old (over a year).  Current version upstream is 5.1.8.1.  Even in the "prior stable release" the version is 5.0.15.6 which is still newer than current F27.

master at https://src.fedoraproject.org/cgit/rpms/shorewall.git/log/ is showing an update 5.1.8 which itself needs updating to 5.1.8.1.  But aside from that, when will that update be backported to F27 and F26?

Comment 1 Michele Baldessari 2017-11-15 16:20:49 UTC
What serious bugs are you hitting?

Comment 2 Brian J. Murrell 2017-11-15 16:48:12 UTC
http://shorewall.org/pub/shorewall/5.1/shorewall-5.1.8/releasenotes.txt

KNOWN PROBLEMS REMAINING #3:

3)  While the 'ip' utility now accepts IPv6 routes with multiple
    'nexthop' destinations, these routes are not balanced. They are
    rather instantiated as a sequence of single routes with different
    metrics.  Furthermore,  the 'ip route replace' command fails on
    such routes. Beginning with Shorewall6 5.0.15, the generated script
    will use a "delete..add.." sequence on these routes rather than a
    single "replace" command.

Before this, one cannot load a Shorewall 6 policy more than once without flushing some routing tables or one gets errors in trying to apply the policy.

Comment 3 Brian J. Murrell 2017-11-25 15:50:15 UTC
Any further comments on the above?

Comment 4 Fedora Update System 2017-12-28 07:10:03 UTC
shorewall-5.1.10-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bab7a530b

Comment 5 Fedora Update System 2017-12-28 07:12:45 UTC
shorewall-5.1.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-48805a9fb7

Comment 6 Fedora Update System 2017-12-28 07:13:41 UTC
shorewall-5.1.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 7 Fedora Update System 2017-12-29 19:31:23 UTC
shorewall-5.1.10-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bab7a530b

Comment 8 Fedora Update System 2017-12-29 21:13:45 UTC
shorewall-5.1.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 9 Fedora Update System 2017-12-29 21:42:12 UTC
shorewall-5.1.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-48805a9fb7

Comment 10 Fedora Update System 2018-01-08 14:26:16 UTC
shorewall-5.1.10.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bab7a530b

Comment 11 Fedora Update System 2018-01-08 14:27:16 UTC
shorewall-5.1.10.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-48805a9fb7

Comment 12 Fedora Update System 2018-01-08 14:27:39 UTC
shorewall-5.1.10.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 13 Fedora Update System 2018-01-08 17:42:05 UTC
shorewall-5.1.10.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-48805a9fb7

Comment 14 Fedora Update System 2018-01-08 19:56:31 UTC
shorewall-5.1.10.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 15 Fedora Update System 2018-01-08 20:29:30 UTC
shorewall-5.1.10.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bab7a530b

Comment 16 Fedora Update System 2018-01-30 16:51:21 UTC
shorewall-5.1.10.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-01-30 17:29:16 UTC
shorewall-5.1.10.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-01-30 18:00:44 UTC
shorewall-5.1.10.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.